diff --git a/web/pgadmin/static/js/Theme/index.jsx b/web/pgadmin/static/js/Theme/index.jsx
index 3a0118802..3470162ea 100644
--- a/web/pgadmin/static/js/Theme/index.jsx
+++ b/web/pgadmin/static/js/Theme/index.jsx
@@ -101,6 +101,7 @@ basicSettings = createMuiTheme(basicSettings, {
       },
       inputMultiline: {
         padding: basicSettings.spacing(0.75, 1.5),
+        resize: 'auto',
       },
       adornedEnd: {
         paddingRight: basicSettings.spacing(1.5),
diff --git a/web/pgadmin/static/js/components/FormComponents.jsx b/web/pgadmin/static/js/components/FormComponents.jsx
index 9da3e0945..5bad4c7c4 100644
--- a/web/pgadmin/static/js/components/FormComponents.jsx
+++ b/web/pgadmin/static/js/components/FormComponents.jsx
@@ -345,7 +345,7 @@ export const InputText = forwardRef(({
       className={classes.formInput}
       inputProps={{
         id: cid,
-        maxLength: maxlength,
+        maxLength: controlProps?.multiline ? null : maxlength,
         'aria-describedby': helpid,
         ...(type ? {pattern: !_.isUndefined(controlProps) && !_.isUndefined(controlProps.pattern) ? controlProps.pattern : patterns[type]} : {})
       }}
